<?php

require_once 'PEAR/PackageFileManager.php';
require_once 'Console/Getopt.php';

$version = '0.3.1';
$notes = <<<EOT
Corrected some compilation issues with older versions of PHP under Windows.
EOT;

$changelog = <<<EOT
Corrected some compilation issues with older versions of PHP under Windows.
EOT;

$description = <<<EOT
The Perforce extension wraps the Perforce C/C++ API.  This gives PHP developers direct access to the native Perforce client functions.
EOT;

$package = new PEAR_PackageFileManager();

$result = $package->setOptions(array(
    'package'           => 'perforce',
    'summary'           => 'Perforce API Extension',
    'description'       => $description,
    'version'           => $version,
    'state'             => 'alpha',
    'license'           => 'BSD License',
    'filelistgenerator' => 'file',
    'ignore'            => array('package.php'),
    'notes'             => $notes,
    'changelognotes'    => $changelog,
    'changelogoldtonew' => false,
	'simpleoutput'		=> true,
    'baseinstalldir'    => '/',
    'packagedirectory'  => ''));

if (PEAR::isError($result)) {
    echo $result->getMessage();
    die();
}

$package->addMaintainer('jon', 'lead', 'Jon Parise', 'jon@php.net');

if ($_SERVER['argv'][1] == 'commit') {
    $result = $package->writePackageFile();
} else {
    $result = $package->debugPackageFile();
}

if (PEAR::isError($result)) {
    echo $result->getMessage();
    die();
}
